For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get an item on a stocktaking

Get an item on a stocktaking

Required permissions: STOCKTAKING

get
/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/items/{stocktakingItemUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
warehouseUidstringRequired

Reference to a Warehouse.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
stocktakingUidstringRequired

Reference to a Stocktaking.

Pattern: ^[A-Za-z0-9-_]+
stocktakingItemUidstringRequired

Reference to a Stocktaking item id.

Pattern: ^[A-Za-z0-9-_]+
Responses
200Success
application/json

Items in a stocktaking

createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
notestringRequired
serialnumbersstring[]Required
stocktakingItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
get/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/items/{stocktakingItemUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/items/{stocktakingItemUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "note": "text",
  "product": {
    "brandName": "text",
    "gtins": [
      "text"
    ],
    "name": "text",
    "productGroupName": "text",
    "productUid": "text",
    "serialNoRequired": "NO",
    "sku": "text"
  },
  "serialnumbers": [
    "text"
  ],
  "stocktakingItemUid": "text"
}

Last updated

Was this helpful?